<?php
defined('BASEPATH') OR exit('No direct script access allowed');
ini_set('memory_limit', '-1');
ini_set('max_execution_time', '-1');

class Main extends CI_Controller {
    function __construct()
    {
        parent::__construct();
        $this->load->model(array('main_module'));
    }

    function index($limits, $interval)
    {
	
        $module = 'update_gps';
        $function = 'select_data';
        $function_update = 'update_data';

       // $this->log_activity->createLog($module, $function, $code = 'Start');

        $datamid = $this->main_module->getListSendGps();
        
        $limit = $limits;
	var_dump($datamid);
        foreach ($datamid as $value ) {
		
            $datam_gps = $this->main_module->getListDO($value->id_do, $limit, $interval);
            var_dump($datam_gps);
            //$this->log_activity->createLog($module, $function_update, $code = 'Start');
            foreach ($datam_gps as $value_gps) {
                $message_data_select = $value_gps->id."|".$value_gps->tanggal_do_mulai."|".$value_gps->bus_code."|".$value_gps->trip_id;
                //$this->log_activity->createLog($module, $function, $message_data_select);

                // echo $value->bus_code." ". $value->trip_id;
                $update = $this->main_module->updateCurrentTripGPS($value_gps->bus_code, $value_gps->trip_id);
                
                if($update){
                    $data = array(
                        'id_do' => $value_gps->id,
                        'tanggal_do_mulai' => $value_gps->tanggal_do_mulai,
                        'trip_id' => $value_gps->trip_id,
                        'bus_no' => $value_gps->bus_code,
                        'is_send' => 1
                    );
                    // var_dump($data);
                    // echo "<br>";
                    $this->main_module->insertSendGps($data);
                    $message_data_update = $value_gps->id."|".$value_gps->tanggal_do_mulai."|".$value_gps->bus_code."|".$value_gps->trip_id."|sukses";
                    //$this->log_activity->createLog($module, $function_update, $message_data_update);
                }
                else{
                    $data = array(
                        'id_do' => $value_gps->id,
                        'tanggal_do_mulai' => $value_gps->tanggal_do_mulai,
                        'trip_id' => $value_gps->trip_id,
                        'bus_no' => $value_gps->bus_code,
                        'is_send' => 0
                    );
                    // var_dump($data);
                    // echo "<br>";
                    $this->main_module->insertSendGps($data);
                    $message_data_update = $value_gps->id."|".$value_gps->tanggal_do_mulai."|".$value_gps->bus_code."|".$value_gps->trip_id."|gagal";
                    //$this->log_activity->createLog($module, $function_update, $message_data_update);

                }
            }
            //$this->log_activity->createLog($module, $function, 'Finish');
            //$this->log_activity->createLog($module, $function_update, 'Finish');
        }
    }

    function cek_db_gps()
    {
        $datamid = $this->main_module->getListCurentPost();
        foreach ($datamid as $value ) {
            echo $value->id;
        }
    }

    function update_bko($limits, $interval)
    {
        $module = 'update_gps_bko';
        $function = 'select_data';
        $function_update = 'update_data_bko';

        //$this->log_activity->createLog($module, $function, $code = 'Start');

        $datamid = $this->main_module->getListSendGps();
        
        $limit = $limits;
        foreach ($datamid as $value ) {
            $datam_gps = $this->main_module->getListDO_BKO($value->id_do, $limit, $interval);
            var_dump($datam_gps);
            //$this->log_activity->createLog($module, $function_update, $code = 'Start');
            foreach ($datam_gps as $value_gps) {
                $message_data_select = $value_gps->id."|".$value_gps->tanggal_do_mulai."|".$value_gps->bus_code."|".$value_gps->trip_id;
                //$this->log_activity->createLog($module, $function, $message_data_select);

                // echo $value->bus_code." ". $value->trip_id;
                $update = $this->main_module->updateCurrentTripGPS($value_gps->bus_code, $value_gps->trip_id);
                
                if($update){
                    $data = array(
                        'id_do' => $value_gps->id,
                        'tanggal_do_mulai' => $value_gps->tanggal_do_mulai,
                        'trip_id' => $value_gps->trip_id,
                        'bus_no' => $value_gps->bus_code,
                        'is_send' => 1
                    );
                    // var_dump($data);
                    // echo "<br>";
                    $this->main_module->insertSendGps($data);
                    $message_data_update = $value_gps->id."|".$value_gps->tanggal_do_mulai."|".$value_gps->bus_code."|".$value_gps->trip_id."|sukses";
                    //$this->log_activity->createLog($module, $function_update, $message_data_update);
                }
                else{
                    $data = array(
                        'id_do' => $value_gps->id,
                        'tanggal_do_mulai' => $value_gps->tanggal_do_mulai,
                        'trip_id' => $value_gps->trip_id,
                        'bus_no' => $value_gps->bus_code,
                        'is_send' => 0
                    );
                    // var_dump($data);
                    // echo "<br>";
                    $this->main_module->insertSendGps($data);
                    $message_data_update = $value_gps->id."|".$value_gps->tanggal_do_mulai."|".$value_gps->bus_code."|".$value_gps->trip_id."|gagal";
                    //$this->log_activity->createLog($module, $function_update, $message_data_update);

                }
            }
            //$this->log_activity->createLog($module, $function, 'Finish');
            //$this->log_activity->createLog($module, $function_update, 'Finish');
        }
    }


    function sample_update_gps()
    {
        //KAJ 289 12.F002
        $datamid = $this->main_module->getListDOSample();
        foreach ($datamid as $value ) {
            // echo $value->bus_code." ". $value->trip_id;
            $update = $this->main_module->updateCurrentTripGPS($value->bus_code, $value->trip_id);
            
            if($update){
                $data = array(
                    'id_do' => $value->id,
                    'trip_id' => $value->trip_id,
                    'bus_no' => $value->bus_code,
                    'is_send' => 1
                );
    
                $this->main_module->insertSendGps($data);
            }
            else{
                $data = array(
                    'id_do' => $value->id,
                    'trip_id' => $value->trip_id,
                    'bus_no' => $value->bus_code,
                    'is_send' => 0
                );
                $this->main_module->insertSendGps($data);
            }
        }
    }
}
